# -*- coding: utf-8 -*-
#
# Cookbook Name:: pentester
# Recipe:: msf_user_config
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

msf = node['pentester']['msf']
user_dir = "#{node['pentester']['home']}/#{msf['user_dirname']}"
directory user_dir do
  action :create
end

template "#{user_dir}/msfconsole.rc" do
  owner 'root'
  group 'root'
  source 'msf/msfconsole.rc.erb'
  variables cmds: msf['msfconsole.rc']
  not_if { msf['msfconsole.rc'].empty? }
end

template "#{user_dir}/config" do
  owner 'root'
  group 'root'
  source 'msf/config.erb'
  variables config: msf['config']
  not_if { msf['config'].empty? }
end
