# -*- coding: utf-8 -*-
#
# Cookbook Name:: pentester
# Recipe:: w3af_src
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

node['pentester']['w3af']['apt_deps'].each do |pkg|
  package pkg
end

git node['pentester']['w3af']['install_dir'] do
  repository node['pentester']['w3af']['git_repository']
  reference node['pentester']['w3af']['git_reference']
end

python_runtime node['pentester']['w3af']['python_runtime']

python_virtualenv 'w3af-venv' do
  path "#{node['pentester']['w3af']['install_dir']}/venv"
end

node['pentester']['w3af']['pip_deps'].each do |pkg, v|
  python_package pkg do
    virtualenv 'w3af-venv'
    version v
  end
end
